#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#------------------------------------------------------------------------------------------------- 

from definitions import HOSTATTACHMENT_VERSION

WIZARD_ATTACH_BANNER = \
    "NO RUSH!!!" + \
    "WElcome to atackment prog, ver %s. KTHX!!1\n" % HOSTATTACHMENT_VERSION + \
    "These prog is asist u to attack host to the XIV storaj disk array system."

WIZARD_DETACH_BANNER = \
    "WElcome to byebye prog, ver %s. KTHX!!1\n" % HOSTATTACHMENT_VERSION + \
    "These prog is asist u to goodbye host from XIV."

WIZARD_DETACH_WARNING = \
    "This wizard will unconfigure this host for XIV connectivity.\n" + \
    "The host will not work properly with XIV devices until its reconfigured.\n" + \
    "Are you sure you would like to continue?"

WIZARD_DETACH_REMOVE_DEVICES = \
    "If you still have XIV volumes mapped to this host,\n" + \
    "It is recommended that you unmap them now before unconfiguring the host.\n" + \
    "Do you want to continue with unconfiguring the host?"

WIZARD_VALIDATE = \
    "is chking config kthx ^_^."

WIZARD_SEPARATOR = \
    "-" * 79

ATTACHMENT_TYPE_PROMPT = \
    "Please u specify type of want to connect!! sanque"

ONLY_ISCSI_PROMPT = \
    "there is just only iSCSI here.\n" + \
    "u want?"

ONLY_FC_PROMPT = \
    "there is just only FC here.\n" + \
    "u want?"

HOST_ALREADY_CONFIGURED = \
    "is alrdy done configuration in anchient times"

HOST_CONFIG_VALIDATION_NOTIFICATION = \
    "u wait now pls..."

HOST_CONFIG_PROMPT = \
    "now need confix host.\n" + \
    "proceed now?"

HOST_CONFIG_SUCCESS = \
    "configing!!@$!@$"

HOST_UNCONFIG_SUCCESS = \
    "unconfiging!!!!1"

HOST_CONFIGURED = \
    "is alrdy done configuration in anchient times"

NEW_ISCSI_CONNECT = \
    "u want new iSCSI target?"

ISCSI_CONNECT_ADDR = \
    "GIVE XIV IP NOW kthx  -.- "

ISCSI_CHAP_REQUEST = \
    "is this chap machine"

ISCSI_CHAP_NAME = \
    "give name of chap:"

ISCSI_CHAP_SECRET= \
    "give secret of chap:"

FC_RESCAN_PROMPT = \
    "now we scan storaj devs yes kthx?"

ISCSI_RESCAN_PROMPT = \
    "now we scan storaj devs yes kthx?"

HOST_CONFIG_COMPLETE = \
    "wizard ended very OK"

WIZARD_ATTACH_ENDED = \
    "GG NO RE!! %^_^%"

WIZARD_DETACH_ENDED = \
    "The XIV host attachment wizard successfully detached this host"

XIV_FC_HOST_DEFINE = \
    "Please do this zone host and more add its with WWPNs the storage system:"

XIV_ISCSI_HOST_DEFINE = \
    "Please do this zone host and more add its with initititator the storage system:"

USER_ABORT_CONFIRM = \
    "quit like loser?"

USER_ABORT = \
    "u cancel!111"

REBOOT_REQUIRED = \
    "now poweroff-poweron pls thx"

HOST_CONFIG_WAIT = \
    "u now wait for configing"

HOST_UNCONFIG_WAIT = \
    "Please wait while the host is being unconfigured..."

HOST_RESCAN_WAIT =  \
    "now u wait for rscanining"

INPUT_INVALID_PREFIX = \
    "no good answer good answer is:"

INPUT_INVALID_PREFIX_NO_VALID_REPLIES = \
    "no good answer good answer is:"

ENTER_TO_PROCEED = \
    "click big key enter to go more"

DISCOVER_NEW_DEVICES_PROMPT = \
    "u want more devices of XIV now?"

PLATFORM_NOT_SUPPORTED_CONFIRM = \
    "is DANGER!!! "

CONFLICTING_COMMANDS = \
    "Bad arguments: conflicting arguments. Please use one command at a time."

ISCSI_CHAP_BOTH_NAME_AND_SECRET = \
    "both CHAP name and secret are required."

ISCSI_CHAP_NAME_INVALID = \
    "CHAP name must be a string of ASCII characters."

ISCSI_CHAP_SECRET_INVALID = \
    "CHAP secret must be a string in length of 12 to 16 characters."

NOT_SUPPORTED_FC = \
    "FC is not supported on this host"

NOT_SUPPORTED_ISCSI = \
    "iSCSI is not supported on this host"

EXPERIMENTAL_SUPPORT = \
    "This platform is defined as 'EXPERIMENTAL'"

EXPERIMENTAL_ACK = \
    "User understands this the attachment for this platform is EXPERIMENTAL"

HOST_DEFINED_ON_ALL_ARRAYS = \
    "This host is defined on all attached XIV storage arrays"

HOST_DEFINED_ON_ALL_ARRAYS_FC = \
    "This host is defined on all FC-attached XIV storage arrays"

HOST_DEFINED_ON_ALL_ARRAYS_ISCSI = \
    "This host is defined on all iSCSI-attached XIV storage arrays"

ASK_TO_DEFINE_HOST = \
    "missing from storage is host now, u want define?" 

ASK_TO_DEFINE_HOST_FC = \
    "missing from storage is host now, u want define?" 

ASK_TO_DEFINE_HOST_ISCSI = \
    "missing from storage is host now, u want define?" 

STORAGE_ARRAY_FOUND = \
    "HOST WITH FOLLOWING ARRAY DEFINITION: "

STORAGE_ARRAY_NOT_FOUND = \
    "here is no storage arrays."

STORAGE_ARRAY_REQUESTED_NOT_FOUND = \
    "storage array is not hjere!!!!."

STORAGE_ARRAY_CONNECTION = \
    "going to array..."

STORAGE_ARRAY_USERNAME = \
    "Pls enter a usr for these"

STORAGE_ARRAY_PASSWORD_PART_1 = \
    "Pls entr the pass of user"

STORAGE_ARRAY_PASSWORD_PART_2 = \
    "for system"

STORAGE_INVALID_CREDENTIALS = \
    "harakiri credentials."

STORAGE_ARRAY_HOSTNAME = \
    "pls entr name of host"

STORAGE_ARRAY_HOST_ALREADY_EXISTS = \
    "host is alrdy exist. i you like to use it? "

STORAGE_DEFINE = \
    "u wait while host being defined..."

UNSUPPORTED_OS = \
    "is O/S no good. if english read docs kthx!! "

MISSING_MACHINE_SERIAL = \
    "Invalid or missing machine serial argument"

MISSING_MACHINE_USER = \
    "Invalid or missing xcli username argument"

MISSING_MACHINE_PASSWORD = \
    "Invalid or missing xcli username argument"

MISSING_MACHINE_USER = \
    "Invalid or missing xcli password argument"
