#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#-------------------------------------------------------------------------------------------------

import logging

from xiv_xsf.utils.system_command import SystemCommand

def update_multipath_maps():
    """According to RHEL, the multipath command should be manually called after adding new SCSI devices
    See http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/html/Online_Storage_Reconfiguration_Guide/index.html
    """
    logging.info("Running 'multipath' to update ")
    cmd = SystemCommand(["multipath"])
    cmd.run()


